v 14.0 Third Party 33255
Download for v 14.0 Deploy on Odoo.sh Live Preview
Required Apps Employees (hr)
Expenses (hr_expense)
Recruitment (hr_recruitment)
Time Off (hr_holidays)
Invoicing (account)
Project (project)
Included Dependencies
Lines of code 15629
Technical Name ohrms_core
LicenseAGPL-3
Websitehttps://www.openhrms.com
Also available in version v 11.0 v 13.0 v 10.0 v 12.0
You bought this module and need support? Click here!
Required Apps Employees (hr)
Expenses (hr_expense)
Recruitment (hr_recruitment)
Time Off (hr_holidays)
Invoicing (account)
Project (project)
Included Dependencies
Lines of code 15629
Technical Name ohrms_core
LicenseAGPL-3
Websitehttps://www.openhrms.com
Also available in version v 11.0 v 13.0 v 10.0 v 12.0
Community

OpenHRMS Core

The Complete HR Solution

Overview


A simple, easy to use and intuitive tool helping employees and management to perform in full potential, boosting the productivity and overall employee satisfaction. Open HRMS offers a 360 degree overview of employee and their skills.

Key Features


HR Dashboard

Interactive Theme

Shift Management

Employee Reminders

Advanced Employee Master

Appraisal Plans & Strategies

Employee Insurance

Law Suit Management

Entry & Exit Checklist

Custody/Property Management

Salary Advance

HR Multi Company

Loan Management

Employee Branch Transfer

Biometric Device Automation

HR Announcements

Vacation Management

Appreciations & Memos

HR Documents Management

Automation on Leave Request Mails

Screenshots


01

Open HRMS Theme

Attractive Open HRMS theme makes a bow.

02

Dashboard

Keep your eyes on your whole analysis.

03

Multi-Company

Manage multi branch employees easily.

04

Work Shift Management

Create and manage employee work shifts.

05

Loan Management

Configure different loan policies, Assign approval authority, Conduct verification process and sanctioning of employee loan.

06

Salary Advance

Configure advance salary rules, Set advance salary limits, Minimum number of days, & Provide advance salary to employees.

07

Records Related Reminders

Reminder sets alarm to recall every important dates. 'Bell' symbol beside the chat icon will bring your reminder pop ups. You can set reminders to any model (eg: Sales,HR,Project etc..) and also their corresponding date fields to compare. Eases company to memorize the special dates.

08

Employee Branch Transfer

You can transfer your employees to another branches without any pain.

09

Appraisal Plans & Strategies

Utilize the best of your human resource pool. Implement appraisal strategies to keep the motivational and performance level of your employees high. Ensures Top Down and Bottom-up evaluation plans and giving timely feedback and complements for the accomplishments.

10

Appraisal Plans & Strategies

Advanced fields on employee form. Such as family information, joining date, passport and ID expiry date with its expiry notifications.

11

Employee Insurance Management

Efficiently manages the insurance allowances with the salary.

12

Employee Documents Management

Documents in Employee Form

Keep the employee related documents with expiry notification.


13

Entry & Exit Checklist

A person has to undergo all configured checklist items before being admitted/resigned. Corresponding Percentpie will be shown in employee form view.

14

Resignation Process

Employees can draft their resignation. Higher authorities can timely do the needful via rejecting/ accepting the resignation statement.

15

HR Announcements

Managing Official Announcements, Greetings, Warnings, Rewards etc.

16

Custody/Property Management

Manages custody handling process on company assets like Laptop, Camera, Devices etc.. Option to renew the requests & take the reports..

17

Automation on Leaves Requests Mails

Creates leave request automatically from incoming email.

18

Vacation Management

Extending Holiday Management with extra features adaptable for managing employees vacation.

19

Law Suit Management

Manages legal actions and its reports.

Suggested Products


Our Services


Odoo Customization
Odoo Implementation
Odoo Support
Hire Odoo Developer
Odoo Integration
Odoo Migration
Odoo Consultancy
Odoo Implementation
Odoo Licensing Consultancy

Our Industries


Trading

Easily procure and sell your products

POS

Easy configuration and convivial experience

Education

A platform for educational management

Manufacturing

Plan, track and schedule your operations

E-commerce & Website

Mobile friendly, awe-inspiring product pages

Service Management

Keep track of services and invoice

Restaurant

Run your bar or restaurant methodically

Hotel Management

An all-inclusive hotel management application

Need Help?



Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
Error when i try to load the dashboard
by
hello world
on 8/6/21, 8:35 AM

hello , really good app but i think there are some bugs that need to be fixed , i'm using it on Odoo 13 CE , and there's an error that occurs every time i try to load the dashbord :

list(filter(lambda d: d['l_month'] == month_emp[1].split(' ')[:1][0].strip()[:3], month_join))[0][ IndexError: list index out of range



awesomeness
by
haseeb
on 7/18/21, 2:24 PM

thanks, great module
quick question. is it possible to use this module without dashboard.

i am using openworx theme and really like it. don't want HR dashboard  to be main, specially because apps background is white instead of background.

Re: awesomeness
by
Cybrosys Technologies
on 7/19/21, 2:10 AM Author

You can install all the dependent modules individually without using this core and dashboard module. 


load request approve Error: Odoo Server Error Traceback (most recent call last): File "C:\Program Files\Odoo 14.0.20210430\server\odoo\addons\base\models\ir_http.py", line 237, in _dispatch result = request.dispatch() File "C:\Program Files\Odoo 14.0.20210430\server\odoo\http.py", line 683, in dispatch result = self._call_function(**self.params) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\http.py", line 359, in _call_function return checked_call(self.db, *args, **kwargs) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\service\model.py", line 94, in wrapper return f(dbname, *args, **kwargs) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\http.py", line 347, in checked_call result = self.endpoint(*a, **kw) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\http.py", line 912, in __call__ return self.method(*args, **kw) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\http.py", line 531, in response_wrap response = f(*args, **kw) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\addons\web\controllers\main.py", line 1393, in call_button action = self._call_kw(model, method, args, kwargs) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\addons\web\controllers\main.py", line 1381, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\api.py", line 396, in call_kw result = _call_kw_multi(method, model, args, kwargs) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\api.py", line 383, in _call_kw_multi result = method(recs, *args, **kwargs) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\addons\ohrms_loan_accounting\models\hr_loan_acc.py", line 74, in action_approve move.post() File "C:\Program Files\Odoo 14.0.20210430\server\odoo\addons\account\models\account_move.py", line 2408, in post return self.action_post() File "C:\Program Files\Odoo 14.0.20210430\server\odoo\addons\sale\models\account_move.py", line 14, in action_post res = super(AccountMove, self).action_post() File "C:\Program Files\Odoo 14.0.20210430\server\odoo\addons\account\models\account_move.py", line 2542, in action_post self._post(soft=False) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\addons\sale\models\account_invoice.py", line 81, in _post posted = super()._post(soft) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\addons\account_edi\models\account_move.py", line 135, in _post posted = super()._post(soft=soft) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\addons\account\models\account_move.py", line 2477, in _post 'posted_before': True, File "C:\Program Files\Odoo 14.0.20210430\server\odoo\addons\account\models\account_move.py", line 1884, in write res = super(AccountMove, self.with_context(check_move_validity=False, skip_account_move_synchronization=True)).write(vals) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\addons\mail\models\mail_thread.py", line 322, in write result = super(MailThread, self).write(values) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\addons\mail\models\mail_activity.py", line 766, in write return super(MailActivityMixin, self).write(vals) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\models.py", line 3685, in write real_recs._validate_fields(vals, inverse_fields) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\models.py", line 1260, in _validate_fields check(self) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\addons\account\models\account_move.py", line 1609, in _check_unique_sequence_number self.flush(['name', 'journal_id', 'move_type', 'state']) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\models.py", line 5442, in flush self.recompute(fnames, records=records) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\models.py", line 5908, in recompute process(field) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\models.py", line 5879, in process field.recompute(recs) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\fields.py", line 1153, in recompute self.compute_value(recs) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\fields.py", line 1175, in compute_value records._compute_field_value(self) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\addons\mail\models\mail_thread.py", line 410, in _compute_field_value return super()._compute_field_value(field) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\models.py", line 4061, in _compute_field_value getattr(self, field.compute)() File "C:\Program Files\Odoo 14.0.20210430\server\odoo\addons\account\models\account_move.py", line 1088, in _compute_name highest_name = self[0]._get_last_sequence() if self else False File "C:\Program Files\Odoo 14.0.20210430\server\odoo\addons\account\models\sequence_mixin.py", line 179, in _get_last_sequence self.env.cr.execute(query, param) File "<decorator-gen-3>", line 2, in execute File "C:\Program Files\Odoo 14.0.20210430\server\odoo\sql_db.py", line 101, in check return f(self, *args, **kwargs) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\sql_db.py", line 298, in execute res = self._obj.execute(query, params) Exception The above exception was the direct cause of the following exception: Traceback (most recent call last): File "C:\Program Files\Odoo 14.0.20210430\server\odoo\http.py", line 639, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\http.py", line 315, in _handle_exception raise exception.with_traceback(None) from new_cause psycopg2.errors.InvalidRegularExpression: invalid regular expression: quantifier operand invalid
by
hiren
on 5/4/21, 12:27 AM



Re: load request approve Error: Odoo Server Error Traceback (most recent call last): File "C:\Program Files\Odoo 14.0.20210430\server\odoo\addons\base\models\ir_http.py", line 237, in _dispatch result = request.dispatch() File "C:\Program Files\Odoo 14.0.20210430\server\odoo\http.py", line 683, in dispatch result = self._call_function(**self.params) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\http.py", line 359, in _call_function return checked_call(self.db, *args, **kwargs) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\service\model.py", line 94, in wrapper return f(dbname, *args, **kwargs) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\http.py", line 347, in checked_call result = self.endpoint(*a, **kw) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\http.py", line 912, in __call__ return self.method(*args, **kw) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\http.py", line 531, in response_wrap response = f(*args, **kw) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\addons\web\controllers\main.py", line 1393, in call_button action = self._call_kw(model, method, args, kwargs) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\addons\web\controllers\main.py", line 1381, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\api.py", line 396, in call_kw result = _call_kw_multi(method, model, args, kwargs) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\api.py", line 383, in _call_kw_multi result = method(recs, *args, **kwargs) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\addons\ohrms_loan_accounting\models\hr_loan_acc.py", line 74, in action_approve move.post() File "C:\Program Files\Odoo 14.0.20210430\server\odoo\addons\account\models\account_move.py", line 2408, in post return self.action_post() File "C:\Program Files\Odoo 14.0.20210430\server\odoo\addons\sale\models\account_move.py", line 14, in action_post res = super(AccountMove, self).action_post() File "C:\Program Files\Odoo 14.0.20210430\server\odoo\addons\account\models\account_move.py", line 2542, in action_post self._post(soft=False) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\addons\sale\models\account_invoice.py", line 81, in _post posted = super()._post(soft) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\addons\account_edi\models\account_move.py", line 135, in _post posted = super()._post(soft=soft) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\addons\account\models\account_move.py", line 2477, in _post 'posted_before': True, File "C:\Program Files\Odoo 14.0.20210430\server\odoo\addons\account\models\account_move.py", line 1884, in write res = super(AccountMove, self.with_context(check_move_validity=False, skip_account_move_synchronization=True)).write(vals) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\addons\mail\models\mail_thread.py", line 322, in write result = super(MailThread, self).write(values) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\addons\mail\models\mail_activity.py", line 766, in write return super(MailActivityMixin, self).write(vals) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\models.py", line 3685, in write real_recs._validate_fields(vals, inverse_fields) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\models.py", line 1260, in _validate_fields check(self) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\addons\account\models\account_move.py", line 1609, in _check_unique_sequence_number self.flush(['name', 'journal_id', 'move_type', 'state']) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\models.py", line 5442, in flush self.recompute(fnames, records=records) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\models.py", line 5908, in recompute process(field) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\models.py", line 5879, in process field.recompute(recs) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\fields.py", line 1153, in recompute self.compute_value(recs) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\fields.py", line 1175, in compute_value records._compute_field_value(self) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\addons\mail\models\mail_thread.py", line 410, in _compute_field_value return super()._compute_field_value(field) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\models.py", line 4061, in _compute_field_value getattr(self, field.compute)() File "C:\Program Files\Odoo 14.0.20210430\server\odoo\addons\account\models\account_move.py", line 1088, in _compute_name highest_name = self[0]._get_last_sequence() if self else False File "C:\Program Files\Odoo 14.0.20210430\server\odoo\addons\account\models\sequence_mixin.py", line 179, in _get_last_sequence self.env.cr.execute(query, param) File "<decorator-gen-3>", line 2, in execute File "C:\Program Files\Odoo 14.0.20210430\server\odoo\sql_db.py", line 101, in check return f(self, *args, **kwargs) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\sql_db.py", line 298, in execute res = self._obj.execute(query, params) Exception The above exception was the direct cause of the following exception: Traceback (most recent call last): File "C:\Program Files\Odoo 14.0.20210430\server\odoo\http.py", line 639, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "C:\Program Files\Odoo 14.0.20210430\server\odoo\http.py", line 315, in _handle_exception raise exception.with_traceback(None) from new_cause psycopg2.errors.InvalidRegularExpression: invalid regular expression: quantifier operand invalid
by
Cybrosys Technologies
on 7/1/21, 2:31 AM Author

Hello Hiren, 
Sorry to inform you that we couldn't succeed on reproducing this error.
Can you please send an email to odoo@cybrosys.com with steps to reproduce this?


ohrms_core-13.0.1.2.1 - Error: QWeb2: Template 'reminder_menu' not found Solved
by
Gan
on 12/9/20, 11:10 PM

Found a workaround. I'm using Odoo 13 CE installed to a Windows environment.

  1. Download hr_reminder module from https://apps.odoo.com/apps/modules/13.0/hr_reminder/.

  2. Copy the extracted folder and replace existing hr_reminder folder

  3. Done.

Re: ohrms_core-13.0.1.2.1 - Error: QWeb2: Template 'reminder_menu' not found Solved
by
Cybrosys Technologies
on 2/15/21, 12:16 AM Author

Thanks for sharing


Great module
by
btanerii
on 10/22/20, 5:14 AM



This app is bad need fix bugs.
by
Eng. mohamed adel
on 10/17/20, 5:20 AM

this app need to more support from this company, so its not free because you will paid for support.

so , Pls solve all problems in this app and then show us in odoo apps.

Re: This app is bad need fix bugs.
by
Cybrosys Technologies
on 10/19/20, 12:00 AM Author

We never charge for fixing bugs.


Great module on Odoo 13 but got some error on Odoo 14
by
Van Thach
on 10/8/20, 4:07 AM

We're facing this error when installed this module on Odoo 14.

Error:

Traceback:

Error: QWeb2: Template 'reminder_menu' not found

    at Object.exception (http://45.77.249.27:8069/web/content/314-4720e44/web.assets_common.js:4369:7)

    at Engine._render (http://45.77.249.27:8069/web/content/314-4720e44/web.assets_common.js:4414:103)

    at Engine.render (http://45.77.249.27:8069/web/content/314-4720e44/web.assets_common.js:4410:151)

    at Class.renderElement (http://45.77.249.27:8069/web/content/314-4720e44/web.assets_common.js:4921:734)

    at http://45.77.249.27:8069/web/content/314-4720e44/web.assets_common.js:4931:6

    at async Promise.all (index 4)


by
Jeroen
on 9/10/21, 8:44 PM

When trying to install get this error.


Error:

Odoo Server Error


Traceback (most recent call last):

  File "/usr/lib/python3/dist-packages/odoo/tools/cache.py", line 85, in lookup

    r = d[key]

  File "/usr/lib/python3/dist-packages/odoo/tools/func.py", line 71, in wrapper

    return func(self, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/tools/lru.py", line 34, in __getitem__

    a = self.d[obj]

KeyError: ('ir.model.data', <function IrModelData.xmlid_lookup at 0x7fcf7e55ee18>, 'base.module_category_localization')


cannot install open hrms core
by
Hartono
on 9/9/21, 3:37 AM
 
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/opt/openhrms/odoo/tools/safe_eval.py", line 330, in safe_eval
    return unsafe_eval(c, globals_dict, locals_dict)
  File "", line 1, in <module>
  File "/opt/openhrms/odoo/tools/convert.py", line 660, in id_get
    res = self.model_id_get(id_str, raise_if_not_found)
  File "/opt/openhrms/odoo/tools/convert.py", line 666, in model_id_get
    return self.env['ir.model.data'].xmlid_to_res_model_res_id(id_str, raise_if_not_found=raise_if_not_found)
  File "/opt/openhrms/odoo/addons/base/models/ir_model.py", line 1928, in xmlid_to_res_model_res_id
    return self.xmlid_lookup(xmlid)[1:3]
  File "<decorator-gen-35>", line 2, in xmlid_lookup
  File "/opt/openhrms/odoo/tools/cache.py", line 90, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/opt/openhrms/odoo/addons/base/models/ir_model.py", line 1921, in xmlid_lookup
    raise ValueError('External ID not found in the system: %s' % xmlid)
ValueError: External ID not found in the system: base.module_category_localization

Re: cannot install open hrms core
by
Cybrosys Technologies
on 9/9/21, 7:03 AM Author

Hi, We couldn't reproduce this issue. Can you please provide more details about your issue to this address: odoo@cybrosys.com


cannot install openhrms core
by
Hartono
on 9/9/21, 3:36 AM

Error:

Odoo Server Error


Traceback (most recent call last):

  File "/opt/openhrms/odoo/tools/cache.py", line 85, in lookup

    r = d[key]

  File "/opt/openhrms/odoo/tools/func.py", line 71, in wrapper

    return func(self, *args, **kwargs)

  File "/opt/openhrms/odoo/tools/lru.py", line 34, in __getitem__

    a = self.d[obj]

KeyError: ('ir.model.data', <function IrModelData.xmlid_lookup at 0x7f23b0407e50>, 'base.module_category_localization')


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "/opt/openhrms/odoo/tools/safe_eval.py", line 330, in safe_eval

    return unsafe_eval(c, globals_dict, locals_dict)

  File "", line 1, in <module>

  File "/opt/openhrms/odoo/tools/convert.py", line 660, in id_get

    res = self.model_id_get(id_str, raise_if_not_found)

  File "/opt/openhrms/odoo/tools/convert.py", line 666, in model_id_get

    return self.env['ir.model.data'].xmlid_to_res_model_res_id(id_str, raise_if_not_found=raise_if_not_found)

  File "/opt/openhrms/odoo/addons/base/models/ir_model.py", line 1928, in xmlid_to_res_model_res_id

    return self.xmlid_lookup(xmlid)[1:3]

  File "<decorator-gen-35>", line 2, in xmlid_lookup

  File "/opt/openhrms/odoo/tools/cache.py", line 90, in lookup

    value = d[key] = self.method(*args, **kwargs)

  File "/opt/openhrms/odoo/addons/base/models/ir_model.py", line 1921, in xmlid_lookup

    raise ValueError('External ID not found in the system: %s' % xmlid)

ValueError: External ID not found in the system: base.module_category_localization


by
苏进
on 6/30/21, 11:35 PM
Odoo Server Error
Traceback (most recent call last):
  File "/home/odoo/odoo14/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
    result = request.dispatch()
  File "/home/odoo/odoo14/odoo/http.py", line 683, in dispatch
    result = self._call_function(**self.params)
  File "/home/odoo/odoo14/odoo/http.py", line 359, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/home/odoo/odoo14/odoo/service/model.py", line 94, in wrapper
    return f(dbname, *args, **kwargs)
  File "/home/odoo/odoo14/odoo/http.py", line 347, in checked_call
    result = self.endpoint(*a, **kw)
  File "/home/odoo/odoo14/odoo/http.py", line 912, in __call__
    return self.method(*args, **kw)
  File "/home/odoo/odoo14/odoo/http.py", line 531, in response_wrap
    response = f(*args, **kw)
  File "/home/odoo/odoo14/addons/web/controllers/main.py", line 1389, in call_kw
    return self._call_kw(model, method, args, kwargs)
  File "/home/odoo/odoo14/addons/web/controllers/main.py", line 1381, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
  File "/home/odoo/odoo14/odoo/api.py", line 392, in call_kw
    result = _call_kw_model(method, model, args, kwargs)
  File "/home/odoo/odoo14/odoo/api.py", line 365, in _call_kw_model
    result = method(recs, *args, **kwargs)
  File "/home/odoo/hr/hrms_dashboard/models/hrms_dashboard.py", line 405, in get_attrition_rate
    list(filter(lambda d: d['l_month'] == month_emp[1].split(' ')[:1][0].strip()[:3], month_join))[0][
Exception
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "/home/odoo/odoo14/odoo/http.py", line 639, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/home/odoo/odoo14/odoo/http.py", line 315, in _handle_exception
    raise exception.with_traceback(None) from new_cause
IndexError: list index out of range

Compatibility with Odoo Enterprise
by
forsan
on 6/25/21, 4:14 AM

Is this compatible with the enterprise version?

Re: Compatibility with Odoo Enterprise
by
Cybrosys Technologies
on 6/27/21, 10:33 PM Author

No, Its not


by
hiren
on 5/1/21, 8:07 AM


error while approving the loan pl help


help
by
hiren
on 5/1/21, 8:06 AM




Error when installing
by
Majed OMRI
on 2/13/21, 6:10 PM

Error:

Odoo Server Error


Traceback (most recent call last):

  File "F:\Mes Projets\Odoo14\server\odoo\addons\base\models\ir_http.py", line 237, in _dispatch

    result = request.dispatch()

  File "F:\Mes Projets\Odoo14\server\odoo\http.py", line 683, in dispatch

    result = self._call_function(**self.params)

  File "F:\Mes Projets\Odoo14\server\odoo\http.py", line 359, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "F:\Mes Projets\Odoo14\server\odoo\service\model.py", line 94, in wrapper

    return f(dbname, *args, **kwargs)

  File "F:\Mes Projets\Odoo14\server\odoo\http.py", line 347, in checked_call

    result = self.endpoint(*a, **kw)

  File "F:\Mes Projets\Odoo14\server\odoo\http.py", line 912, in __call__

    return self.method(*args, **kw)

  File "F:\Mes Projets\Odoo14\server\odoo\http.py", line 531, in response_wrap

    response = f(*args, **kw)

  File "F:\Mes Projets\Odoo14\server\odoo\addons\web\controllers\main.py", line 1381, in call_button

    action = self._call_kw(model, method, args, kwargs)

  File "F:\Mes Projets\Odoo14\server\odoo\addons\web\controllers\main.py", line 1369, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "F:\Mes Projets\Odoo14\server\odoo\api.py", line 396, in call_kw

    result = _call_kw_multi(method, model, args, kwargs)

  File "F:\Mes Projets\Odoo14\server\odoo\api.py", line 383, in _call_kw_multi

    result = method(recs, *args, **kwargs)

  File "<decorator-gen-72>", line 2, in button_immediate_install

  File "F:\Mes Projets\Odoo14\server\odoo\addons\base\models\ir_module.py", line 73, in check_and_log

    return method(self, *args, **kwargs)

  File "F:\Mes Projets\Odoo14\server\odoo\addons\base\models\ir_module.py", line 474, in button_immediate_install

    return self._button_immediate_function(type(self).button_install)

  File "F:\Mes Projets\Odoo14\server\odoo\addons\base\models\ir_module.py", line 592, in _button_immediate_function

    modules.registry.Registry.new(self._cr.dbname, update_module=True)

  File "F:\Mes Projets\Odoo14\server\odoo\modules\registry.py", line 89, in new

    odoo.modules.load_modules(registry._db, force_demo, status, update_module)

  File "F:\Mes Projets\Odoo14\server\odoo\modules\loading.py", line 455, in load_modules

    loaded_modules, update_module, models_to_check)

  File "F:\Mes Projets\Odoo14\server\odoo\modules\loading.py", line 348, in load_marked_modules

    perform_checks=perform_checks, models_to_check=models_to_check

  File "F:\Mes Projets\Odoo14\server\odoo\modules\loading.py", line 178, in load_module_graph

    load_openerp_module(package.name)

  File "F:\Mes Projets\Odoo14\server\odoo\modules\module.py", line 358, in load_openerp_module

    __import__('odoo.addons.' + module_name)

  File "f:\mes projets\odoo14\server\addons\hrms_dashboard\__init__.py", line 23, in <module>

    from . import models

  File "f:\mes projets\odoo14\server\addons\hrms_dashboard\models\__init__.py", line 3, in <module>

    from . import hrms_dashboard

  File "f:\mes projets\odoo14\server\addons\hrms_dashboard\models\hrms_dashboard.py", line 6, in <module>

    import pandas as pd

  File "F:\Mes Projets\Odoo14\python\lib\site-packages\pandas\__init__.py", line 17, in <module>

    "Unable to import required dependencies:\n" + "\n".join(missing_dependencies)

Exception


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "F:\Mes Projets\Odoo14\server\odoo\http.py", line 639, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "F:\Mes Projets\Odoo14\server\odoo\http.py", line 315, in _handle_exception

    raise exception.with_traceback(None) from new_cause

ImportError: Unable to import required dependencies:

numpy: 


IMPORTANT: PLEASE READ THIS FOR ADVICE ON HOW TO SOLVE THIS ISSUE!


Importing the numpy C-extensions failed. This error can happen for

many reasons, often due to issues with your setup or how NumPy was

installed.


We have compiled some common reasons and troubleshooting tips at:


    https://numpy.org/devdocs/user/troubleshooting-importerror.html


Please note and check the following:


  * The Python version is: Python3.7 from "F:\Mes Projets\Odoo14\python\python.exe"

  * The NumPy version is: "1.20.1"


and make sure that they are the versions you expect.

Please carefully study the documentation linked above for further help.


Original error was: No module named 'numpy.core._multiarray_umath'


Panda installed still giving "Pandas not installed" error
by
Dr. Rajesh Rolen
on 1/12/21, 4:59 AM

Unable to install module "hrms_dashboard" because an external dependency is not met: Python library not installed: pandas


ohrms_core-13.0.1.2.1 - Error: QWeb2: Template 'reminder_menu' not found
by
Gan
on 12/9/20, 7:24 PM

I'm having this error when installing the reminder module on Odoo 13 CE.

Traceback:
Error: QWeb2: Template 'reminder_menu' not found
    at Object.exception (http://ecierpdemo.ddns.net:8074/web/content/549-348bd6a/web.assets_common.js:3692:7)
    at Engine._render (http://ecierpdemo.ddns.net:8074/web/content/549-348bd6a/web.assets_common.js:3737:103)
    at Engine.render (http://ecierpdemo.ddns.net:8074/web/content/549-348bd6a/web.assets_common.js:3733:151)
    at Class.renderElement (http://ecierpdemo.ddns.net:8074/web/content/549-348bd6a/web.assets_common.js:4094:1137)
    at http://ecierpdemo.ddns.net:8074/web/content/549-348bd6a/web.assets_common.js:4104:6

essay writer cheap
by
mevicak598@pxjtw.com
on 12/4/20, 2:51 PM

As soon as you fill out the order form, you will be redirected to the payment page. In case something is not clear, there are tips to guide you through it. https://clubessay.com/online-essay-writer It typically takes a couple of minutes for us to receive the money transfer from you. 


by
Haresh Kansara
on 11/27/20, 6:16 AM

Hello There,

Really appreciate your application functionality.

I have just installed on Odoo 14 and got following error.

If you can help my to fix issue then it would be very helpful

Traceback:
ReferenceError: d3 is not defined
    at Class.render_department_employee (http://143.110.177.8:8069/web/content/1040-67d9dcb/web.assets_backend.js:6339:3788)
    at Class.render_graphs (http://143.110.177.8:8069/web/content/1040-67d9dcb/web.assets_backend.js:6332:44)
    at http://143.110.177.8:8069/web/content/1040-67d9dcb/web.assets_backend.js:6326:129

Thank you.



by
Sergio A
on 10/15/20, 11:39 AM

I have the same Issue with Odoo 13